package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Visa_application;
import com.realnet.vpspack.Services.Visa_applicationService ;
































@RequestMapping(value = "/Visa_application")
 @CrossOrigin("*") 
@RestController
public class Visa_applicationController {
	@Autowired
	private Visa_applicationService Service;

@Value("${projectPath}")
	private String projectPath;
 
































	@PostMapping("/Visa_application")
		  public Visa_application Savedata(@RequestBody Visa_application data) {
		Visa_application save = Service.Savedata(data)	;































		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Visa_application/{id}")
	public  Visa_application update(@RequestBody Visa_application data,@PathVariable Integer id ) {
		Visa_application update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Visa_application/getall/page")
	public Page<Visa_application> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Visa_application> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Visa_application")
	public List<Visa_application> getdetails() {
		 List<Visa_application> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Visa_application")
	public List<Visa_application> getallwioutsec() {
		 List<Visa_application> get = Service.getdetails();		
		return get;
}
@GetMapping("/Visa_application/{id}")
	public  Visa_application  getdetailsbyId(@PathVariable Integer id ) {
		Visa_application  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Visa_application/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

































}